<?php
class ControllerextensionModuleyscrollup extends Controller {
	public function index($setting) {
		$data['name'] = $setting['name'];
		$data['scrollupb'] = $setting['scrollupb'];
		$data['scrollupr'] = $setting['scrollupr'];
		$data['scrollupw'] = $setting['scrollupw'];
		$data['scrolluph'] = $setting['scrolluph'];
		$data['scrolluprad'] = $setting['scrolluprad'];		
		$data['scrolluprcss'] = $setting['scrolluprcss'];		
		$data['scrollupback'] = $setting['scrollupback'];
		$data['suhcolor'] = $setting['suhcolor'];
		$data['suhback'] = $setting['suhback'];
		$data['scrollupbd'] = $setting['scrollupbd'];
		$data['scrollupbc'] = $setting['scrollupbc'];
		static $module = 0;

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . 'extension/module/yscrollup.tpl')) {
			return $this->load->view($this->config->get('config_template') . 'extension/module/yscrollup.tpl', $data);
		} else {
			return $this->load->view('extension/module/yscrollup.tpl', $data);
		}
	}
}